## ----setup, include=FALSE-----------------------------------------------------
knitr::opts_chunk$set(echo = TRUE,fig.width=8, fig.height=7,fig.align = "center")

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  library(devtools)
#  install_gitlab("sysbiobig/sparsim", build_opts = c("--no-resave-data", "--no-manual"), build_vignettes = TRUE)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  library(devtools)
#  install_gitlab("sysbiobig/sparsim")

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  install.packages("SPARSim_0.9.5.tar.gz", repos = NULL, type = "source")

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Load data
#  data(Example_count_matrix)
#  dim(Example_count_matrix)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Perform scran normalization
#  Example_count_matrix_norm <- scran_normalization(Example_count_matrix)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Get column index for each experimental condition
#  cond_A_column_index <- c(1:50) # Condition A column indices: from column 1 to column 50
#  cond_B_column_index <- c(51:100) # Condition B column indices: from column 51 to column 100
#  cond_C_column_index <- c(101:150) # Condition C column indices: from column 101 to column 150
#  
#  # Create conditions param
#  Example_count_matrix_conditions <- list(cond_A = cond_A_column_index,
#                                          cond_B = cond_B_column_index,
#                                          cond_C = cond_C_column_index)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Create SPARSim simulation parameter through the estimation from an existing count matrix
#  SPARSim_sim_param <- SPARSim_estimate_parameter_from_data(raw_data = Example_count_matrix,
#                                                            norm_data = Example_count_matrix_norm,
#                                                            conditions = Example_count_matrix_conditions)
#  
#  # Run SPARSim simulation using the just created simulation parameter
#  sim_result <- SPARSim_simulation(dataset_parameter = SPARSim_sim_param)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Load Chu preset
#  data(Chu_param_preset) # Chu_param_preset
#  
#  # Run SPARSim simulation using the just loaded parameter preset
#  sim_result <- SPARSim_simulation(dataset_parameter = Chu_param_preset)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Create simulation parameter for condition A
#  cond_A_param <- SPARSim_create_simulation_parameter(
#                                    intensity = runif(n = 5000, min = 0, max = 10000),
#                                    variability = runif(n = 5000, min = 0.001, max = 1),
#                                    library_size = round(rnorm(n = 100, mean = 2*10^6, sd = 10^3)),
#                                    feature_names = paste0("Gene_",c(1:5000)),
#                                    sample_names = paste0("cond_A_cell_",c(1:100)),
#                                    condition_name = "condition_A")
#  
#  # Create simulation parameter for condition B
#  cond_B_param <- SPARSim_create_simulation_parameter(
#                                    intensity = runif(n = 5000, min = 0, max = 10000),
#                                    variability = runif(n = 5000, min = 0.001, max = 1),
#                                    library_size = round(rnorm(n = 200, mean = 1*10^6, sd = 10^3)),
#                                    feature_names = paste0("Gene_",c(1:5000)),
#                                    sample_names = paste0("cond_B_cell_",c(1:200)),
#                                    condition_name = "condition_B")

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Create SPARSim simulation parameter
#  SPARSim_sim_param <- list(cond_A_param, cond_B_param)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Run SPARSim simulation using the just created simulation parameter
#  sim_result <- SPARSim_simulation(dataset_parameter = SPARSim_sim_param)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # load Bacher data parameter preset
#  data(Bacher_param_preset)
#  
#  # Bacher data has 4 experimental conditions, so Bacher_param_preset is a list of 4 simulation parameter
#  # Let take only Bacher_C1 and Bacher_C2
#  Bacher_cond_1 <- Bacher_param_preset$Bacher_C1 # get parameter preset of experimental condition Bacher_C1
#  Bacher_cond_2 <- Bacher_param_preset$Bacher_C2 # get parameter preset of experimental condition Bacher_C2
#  
#  # load Camp data count table
#  data(Camp_data) # it will laod Camp_count_matrix
#  Camp_lib_size <- SPARSim_estimate_library_size(Camp_count_matrix) # estimate library size from Camp count table

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  cond_A_param <- SPARSim_create_simulation_parameter(
#                                    intensity = Bacher_cond_1$intensity,
#                                    variability = Bacher_cond_1$variability,
#                                    library_size = sample(Camp_lib_size, size =  50),
#                                    condition_name = "cond_A")

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  cond_B_param <- SPARSim_create_simulation_parameter(
#                                    intensity = Bacher_cond_2$intensity,
#                                    variability = Bacher_cond_2$variability,
#                                    library_size = round(rnorm(n = 100, mean = 0.5*10^6, sd = 0.01*10^6)),
#                                    condition_name = "cond_B")

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Create SPARSim simulation parameter
#  SPARSim_sim_param <- list(cond_A = cond_A_param, cond_B = cond_B_param)
#  
#  # Run SPARSim simulation using the just created simulation parameter
#  sim_result <- SPARSim_simulation(dataset_parameter = SPARSim_sim_param)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Run SPARSim simulation using the created simulation parameter
#  sim_result <- SPARSim_simulation(dataset_parameter = SPARSim_sim_param)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  SPARSim_simulation(dataset_parameter,
#                     batch_parameter = NULL,
#                     spikein_parameter = NULL,
#                     output_sim_param_matrices = FALSE,
#                     output_batch_matrix = FALSE)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  batch_lane_1 <- SPARSim_create_batch(name = "Lane_1", distribution = "normal", param_A = 0, param_B = 1)
#  batch_lane_2 <- SPARSim_create_batch(name = "Lane_2", distribution = "gamma", param_A = 1, param_B = 1)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  batch_set <- SPARSim_create_batch_set(batch_list = list(batch_1 = batch_lane_1,
#                                                          batch_2 = batch_lane_2))

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  batch_sample_association <- c(rep("Lane_1", 50), rep("Lane_2", 266), rep("Lane_1", 50))

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  SPARSim_batch_parameter <- SPARSim_create_batch_parameter(batch_set = batch_set,
#                                                            batch_sample = batch_sample_association)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Load Bacher data preset
#  data(Bacher_param_preset) # Bacher_param_preset
#  
#  # Run SPARSim simulation using the Bacher parameter preset and the batch parameter created above
#  sim_result <- SPARSim_simulation(dataset_parameter = Bacher_param_preset,
#                                   batch_parameter = SPARSim_batch_parameter)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # First spike-in mix
#  spikein_mix1_abund <- runif(n = 100, min = 0.01, max = 1000);
#  spikein_mix1 <- SPARSim_create_spikein_mix(mix_name= "spikein_M1",
#                                             abundance = spikein_mix1_abund)
#  
#  # Second spike-in mix
#  spikein_mix2_abund <- runif(n = 90, min = 0.001, max = 10000);
#  spikein_mix2_extra_var <- runif(n = 90, 0.01, 0.02)
#  spikein_mix2 <- SPARSim_create_spikein_mix(mix_name= "spikein_M2",
#                                             abundance = spikein_mix2_abund,
#                                             extra_variability = spikein_mix2_extra_var)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  spikein_set <- SPARSim_create_spikein_set(spikein_mixes = list(mix_1 = spikein_mix1, mix2 = spikein_mix2) )

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  spikein_sample_association <- c( rep("spikein_M1", 50) , rep(NA, 266) , rep("spikein_M2", 50) )

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  spikein_abundance <- c(0.03,0.05)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  SPARSim_spikein_parameter <- SPARSim_create_spikein_parameter(spikein_set = spikein_set,
#                                                                spikein_sample = spikein_sample_association,
#                                                                spikein_proportion = spikein_abundance)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Load Bacher parameter preset
#  data(Bacher_param_preset) # Bacher_param_preset
#  
#  # Run SPARSim simulation using the Bacher parameter preset and the spike-in parameter created above
#  sim_result <- SPARSim_simulation(dataset_parameter = Bacher_param_preset,
#                                   spikein_parameter = SPARSim_spikein_parameter)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  ## STEP 1: Create simulation parameter for condition A
#  cond_A_param <- SPARSim_create_simulation_parameter(
#                                    intensity = runif(n = 5000, min = 0, max = 10000),
#                                    variability = runif(n = 5000, min = 0.001, max = 1),
#                                    library_size = round(rnorm(n = 100, mean = 2*10^6, sd = 10^3)),
#                                    condition_name = "cond_A")
#  
#  ## STEP 2: Prepare fold changes multipliers
#  # Without loss of generality, we will simulate the first 500 of the 5000 genes as the DE ones,
#  # setting a FC < 0.25 for the first 250 genes and a FC > 4 for the remaining 250 genes
#  DE_multiplier <- c( runif(n = 250, min = 0.0001, max = 0.25), runif(n = 250, min = 4, max = 100) )
#  
#  # The remaining 4500 genes will be simulated as not DE, setting a FC between 0.25 and 4.
#  not_DE_multiplier <- runif(n = 4500, min = 0.251, max = 3.999)
#  
#  # Combine the FC multipliers
#  fold_change_multiplier <- c( DE_multiplier, not_DE_multiplier)
#  
#  
#  ## STEP 3: Create simulation parameter for condition B
#  cond_B_param <- SPARSim_create_simulation_parameter(
#                                    intensity = cond_A_param$intensity * fold_change_multiplier,
#                                    variability = runif(n = 5000, min = 0.001, max = 1),
#                                    library_size = round(rnorm(n = 200, mean = 1*10^6, sd = 10^3)),
#                                    condition_name = "cond_B")
#  
#  ## STEP 4: Run simulation **
#  
#  SPARSim_param_with_DE <- list(cond_A = cond_A_param, cond_B = cond_B_param)
#  sim_result_with_DE <- SPARSim_simulation(SPARSim_param_with_DE)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  ## STEP 0: load simulation preset and extract parameter values
#  
#  # Load Bacher parameter preset
#  data(Bacher_param_preset) # Bacher_param_preset
#  
#  # Extract intensity, variability and library size parameters from the first experimental condition of Bacher data preset (i.e. Bacher_C1)
#  param_preset <- Bacher_param_preset$Bacher_C1
#  intensity <- param_preset$intensity
#  variability <- param_preset$variability
#  lib_size <- param_preset$lib_size
#  
#  
#  ## STEP 1: Prepare simulation parameters for condition A**
#  cond_A_param <- SPARSim_create_simulation_parameter(
#                                    intensity = intensity,
#                                    variability = variability,
#                                    library_size = sample(lib_size, size = 80),
#                                    condition_name = "cond_A")
#  
#  
#  ## STEP 2: Prepare fold-change multipliers
#  
#  # not DE genes will have a fold change between 0.25 and 4
#  not_DE_multiplier <- runif(n = 16128, min = 0.251, max = 3.999)
#  
#  # DE genes will have a fold change less than 0.25 or greater than 4
#  # here we simulate 400 fold-changes lower than 0.25 and 600 fold changes greater than 4
#  DE_multiplier <- c( runif(n = 400, min = 0.0001, max = 0.25), runif(n = 600, min = 4, max = 100) )
#  
#  # In this example, the first 1000 genes will be the DE ones, while the last 16128 will be the not DE ones
#  fold_change_multiplier <- c(DE_multiplier, not_DE_multiplier)
#  
#  
#  ## STEP 3: Prepare simulation parameters for condition B
#  cond_B_param <- SPARSim_create_simulation_parameter(
#                                    intensity = intensity * fold_change_multiplier, # apply the fold-changes
#                                    variability = variability,
#                                    library_size = sample(lib_size, size = 70),
#                                    condition_name = "cond_B")
#  
#  ## STEP 4: Run simulation
#  
#  # Create the global parameter
#  SPARSim_param_with_DE <- list(cond_A = cond_A_param, cond_B = cond_B_param)
#  
#  # Run SPARSim simulation
#  SPARSim_result <- SPARSim_simulation(SPARSim_param_with_DE)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  ## STEP 0: load simulation preset and extract parameter values
#  
#  # Load Bacher parameter preset
#  data(Bacher_param_preset) # Bacher_param_preset
#  
#  # Extract intensity, variability and library size parameters from the first experimental condition of Bacher data preset (i.e. Bacher_C1)
#  param_preset <- Bacher_param_preset$Bacher_C1
#  intensity <- param_preset$intensity
#  variability <- param_preset$variability
#  lib_size <- param_preset$lib_size
#  
#  
#  ## STEP 1: Prepare simulation parameters for condition A**
#  cond_A_param <- SPARSim_create_simulation_parameter(
#                                    intensity = intensity,
#                                    variability = variability,
#                                    library_size = sample(lib_size, size = 80),
#                                    condition_name = "cond_A")
#  
#  
#  ## STEP 2: Prepare fold-change multipliers
#  
#  # not DE genes will have a fold change between 0.25 and 4
#  not_DE_multiplier <- runif(n = 16128, min = 0.251, max = 3.999)
#  
#  # DE genes will have a fold change less than 0.25 or greater than 4
#  # here we simulate 400 fold-changes lower than 0.25 and 600 fold changes greater than 4
#  DE_multiplier <- c( runif(n = 400, min = 0.0001, max = 0.25), runif(n = 600, min = 4, max = 100) )
#  
#  # In this example, the first 1000 genes will be the DE ones, while the last 16128 will be the not DE ones
#  fold_change_multiplier <- c(DE_multiplier, not_DE_multiplier)
#  
#  
#  ## STEP 3: Use SPARSim built-in function to create a simulation parameter with DE genes
#  cond_B_param <- SPARSim_create_DE_genes_parameter(
#                                    sim_param = cond_A_param,
#                                    fc_multiplier = fold_change_multiplier,
#                                    N_cells = 70,
#                                    condition_name = "cond_B")
#  
#  
#  ## STEP 4: Run simulation
#  
#  # Create the global parameter
#  SPARSim_param_with_DE <- list(cond_A = cond_A_param, cond_B = cond_B_param)
#  
#  # Run SPARSim simulation
#  SPARSim_result <- SPARSim_simulation(SPARSim_param_with_DE)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Load Chu parameter preset
#  data(Chu_param_preset)
#  
#  # Get parameter preset for the Human pluripotent stem cells (0h)
#  cell_type_1_param <- Chu_param_preset$Chu_C1
#  
#  # Get parameter preset for the intermediate cell state (24h)
#  cell_type_2_param <- Chu_param_preset$Chu_C3
#  
#  # Get parameter preset for the definitive endoderm (96h)
#  cell_type_3_param <- Chu_param_preset$Chu_C6
#  
#  # Create the global parameter set
#  SPARSim_3_cell_types_params <- list(cell_type_1 = cell_type_1_param,
#                                      cell_type_2 = cell_type_2_param,
#                                      cell_type_3 = cell_type_3_param)
#  
#  # Run SPARSim simulation
#  SPARSim_result <- SPARSim_simulation(SPARSim_3_cell_types_params)
#  

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  ## STEP 1: load the simulation parameters used as template
#  
#  # Load Chu data parameter preset
#  data(Chu_param_preset)
#  
#  # Get parameter preset of definitive endoderm (96h) cells, i.e. cell type "A"
#  cell_type_A <- Chu_param_preset$Chu_C6
#  
#  
#  ## STEP 2: define the fold change values for the marker genes
#  ## (i.e. genes that are DE across different cell types)
#  
#  # cell type B: assume that the first 500 genes are the marker genes between cell type "A" and cell type "B",
#  # while the remaining 17282 genes share a common expression level
#  DE_multiplier_B <- c( runif(n = 250, min = 0.0001, max = 0.25), runif(n = 250, min = 4, max = 100) )
#  fold_change_multiplier_B <- c(DE_multiplier_B, rep(1, 17282))
#  
#  # cell type C: assume that the last 500 genes are the marker genes between cell type "A" and cell type "C",
#  # while the first 17282 genes share a common expression level
#  DE_multiplier_C <- c( runif(n = 250, min = 0.0001, max = 0.25), runif(n = 250, min = 4, max = 100) )
#  fold_change_multiplier_C <- c(rep(1, 17282), DE_multiplier_C)
#  
#  
#  ## STEP 3: create simulation parameter for cell type "B" and "C"
#  
#  cell_type_B <- SPARSim_create_DE_genes_parameter(
#                                    sim_param = cell_type_A,
#                                    fc_multiplier = fold_change_multiplier_B,
#                                    N_cells = 100,
#                                    condition_name = "cell_B")
#  
#  cell_type_C <- SPARSim_create_DE_genes_parameter(
#                                    sim_param = cell_type_A,
#                                    fc_multiplier = fold_change_multiplier_C,
#                                    N_cells = 150,
#                                    condition_name = "cell_C")
#  
#  
#  ## STEP 4: perform SPARSim simulation
#  
#  # Create the global parameter set
#  SPARSim_3_cell_types_params <- list(cell_type_1 = cell_type_A,
#                                      cell_type_2 = cell_type_B,
#                                      cell_type_3 = cell_type_C)
#  
#  # Run SPARSim simulation
#  SPARSim_result <- SPARSim_simulation(SPARSim_3_cell_types_params)
#  

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  ## STEP 1: load the simulation parameters used as template
#  
#  # Load Chu data parameter preset
#  data(Chu_param_preset)
#  
#  # Get parameter preset of Human pluripotent stem cells (0h) cells, i.e. cell type "A"
#  cell_type_A <- Chu_param_preset$Chu_C1
#  
#  
#  ## STEP 2: define the fold change values for the 400 marker genes
#  ## (i.e. genes that are DE across "A" and "B")
#  
#  # assume that the first 400 genes are the marker genes between cell type "A" and cell type "B",
#  # while the remaining 17382 genes share a common expression level
#  DE_multiplier_B <- c( runif(n = 200, min = 0.0001, max = 0.25), runif(n = 200, min = 4, max = 100) )
#  fold_change_multiplier_B <- c(DE_multiplier_B, rep(1, 17382))
#  
#  
#  ## STEP 3: create simulation parameter for cell type "B" with the DE genes
#  
#  cell_type_B <- SPARSim_create_DE_genes_parameter(
#                                    sim_param = cell_type_A,
#                                    fc_multiplier = fold_change_multiplier_B,
#                                    N_cells = 100,
#                                    condition_name = "cell_B")
#  
#  
#  ## STEP 4: increased transcriptional noise up to 50% of the original values
#  
#  # for each of the 17782 genes, increase the corresponding variability values up to 50%
#  # applying a multiplicative factor up to 1.5
#  cell_type_B$variability <- cell_type_B$variability * runif(n = 17782, min = 1, max = 1.5)
#  
#  
#  ## STEP 5: perform SPARSim simulation
#  
#  # Create the global parameter set
#  SPARSim_2_cell_types_params <- list(cell_type_1 = cell_type_A,
#                                      cell_type_2 = cell_type_B)
#  
#  # Run SPARSim simulation
#  SPARSim_result <- SPARSim_simulation(SPARSim_2_cell_types_params)
#  

## ----warning=F, error=F, eval=TRUE,include=FALSE------------------------------
Cluster_method_1<-c("A","A","A","C","A","B","B","B","B","B","C","A","C","C","C")
Cluster_method_2<-c("A","A","A","A","A","B","B","B","B","C","C","C","C","C","C")
true<-c(rep("A",5),rep("B",5),rep("C",5))
data_cluster<-data.frame(cbind(paste0("Sample ",seq(1:15))),Cluster_method_1,Cluster_method_2)
colnames(data_cluster)<-c("Sample","Clustering results - Method 1","Clustering results - Method 2")

## ----warning=F, error=F, eval=TRUE,include=TRUE, echo=FALSE,message=FALSE-----
library(kableExtra)
kable(data_cluster,align = "c")%>%
  kable_styling(fixed_thead = T,full_width = F,row_label_position = "c")

## ----warning=F, error=F, eval=TRUE,include=TRUE,message=FALSE-----------------
library(mclust)
R_clu1<-adjustedRandIndex(true, Cluster_method_1)
round(R_clu1,digits = 3)
R_clu2<-adjustedRandIndex(true, Cluster_method_2)
round(R_clu2,digits = 3)

## ----warning=F, error=F, eval=FALSE,include=TRUE------------------------------
#  # Load Chu preset
#  data(Chu_param_preset)
#  
#  # Run SPARSim simulation using the loaded parameter preset
#  sim_result <- SPARSim(dataset_parameter = Chu_param_preset)

## ----warning=F, error=F, eval=TRUE,include=FALSE------------------------------
preset_name<-c("Tung_param_preset", "Camp_param_preset", "Engel_param_preset", "Chu_param_preset", "Horning_param_preset", "Bacher_param_preset", "Brain_10X_param_preset", "T_10X_param_preset", "PBMC_10X_param_preset", "Zheng_param_preset", "Macosko_param_preset", "Saunders_param_preset")
n_features<-c(18464, 39913, 25865, 17782, 37347, 17128, 21080, 20267, 17220, 19536, 20230, 19940)
n_cells<-c(564, 434, 203, 758, 144, 366, 11843, 8093, 5419, 3388, 9000, 5688)
sparsity<-c("~53.16%",	"~84.00%",	"~68.59%",	"~51.30%",	"~39.25%",	"~39.08%",	"~87.37%",	"~94.59%",	"~95.66%",	"~82.56%",	"~96.54%", "~94.10%")
n_exp_cond<-c("8",	"6",	"4",	"6",	"3",	"4",	"1",	"1",	"1",	"4",	"1", "1")
species<-c("Human",	"Human",	"Mouse",	"Human",	"Human",	"Human",	"Mouse",	"Human",	"Human",	"Human",	"Mouse",	"Mouse")
cell_types<-c("Induced pluripotent stem cells",	"Whole brain organoids, Microdissected Cerebral Organoids",	"Natural killer T cells",	"iPSC to Endoderm",	"LNCap (prostate cancer)",	"Embryonic stem cells",	"Brain cells",	"Pan T cells",	"Peripheral blood mononuclear cells",	"Jurkat and 293T cells",	"Retinal cells",	"Polydendrocytes")
platform<-c("Fluidigm C1, Modified SMARTer",	"Fluidigm C1, SMARTer",	"Flow cytometry, Modified Smart-seq2",	"Fluidigm C1,SMARTer",	"Smart-seq2",	"Fluidigm C1,SMARTer",	"10X Genomics",	"10X Genomics",	"10X Genomics",	"10X Genomics",	"Drop-Seq",	"Drop-Seq")
umi<-c("Yes",	"No",	"No",	"No",	"No",	"No",	"Yes",	"Yes",	"Yes",	"Yes",	"Yes",	"Yes")

data_cluster<-data.frame(preset_name,n_features,n_cells, sparsity, n_exp_cond,species,cell_types,platform,umi)
colnames(data_cluster)<-c("Preset name",	"# features", "# cells", "Sparsity", "# experimental conditions",	"Species",	"Cell types",	"Platform/ \n Protocol",	"UMIs")

## ----warning=F, error=F, eval=TRUE,include=TRUE, echo=FALSE,message=FALSE-----
library(kableExtra)
kable(data_cluster,align = "c")%>%
  kable_styling(fixed_thead = T,full_width = F,row_label_position = "c")

