% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SPARSim_simulate.R
\name{SPARSim_simulation}
\alias{SPARSim_simulation}
\title{Function to simulate a raw count table}
\usage{
SPARSim_simulation(
  dataset_parameter,
  batch_parameter = NULL,
  spikein_parameter = NULL,
  output_sim_param_matrices = FALSE,
  output_batch_matrix = FALSE
)
}
\arguments{
\item{dataset_parameter}{list containing, the intensity, variability and lib sizes of each experimental condition. It is the return value of "estimate_parameter_from_data" or could be created by the users}

\item{batch_parameter}{bacth effect simulation parameter}

\item{spikein_parameter}{spike-in simulation parameter}

\item{output_sim_param_matrices}{boolean flag. If TRUE, the function will output two additional matrices, called abundance_matrix and variability_matrix, containing the gene intensities and gene variabilities used as simulation input. (Default: FALSE)}

\item{output_batch_matrix}{boolean flag. If TRUE, the function will output an additional matrix, called batch_factors_matrix, containing the multiplicative factors used in batch effect simulation. (Default: FALSE)}
}
\value{
A list of 5 elements:

  - count_matrix: the simulated count matrix (genes on rows, samples on columns)

  - gene_matrix: the simulated gene expression levels (genes on rows, samples on columns)

  - abundance_matrix: the input gene intensity values provided as input (genes on rows, samples on columns), if output_sim_param_matrices = TRUE. NULL otherwise.

  - variability_matrix: the input gene variability values provided as input (genes on rows, samples on columns), if output_sim_param_matrices = TRUE. NULL otherwise.

  - batch_factors_matrix: the multiplicative factor used in batch generation (genes on rows, samples on columns), if output_batch_matris = TRUE. NULL otherwise
}
\description{
Function to simulate a raw count table
}
